<?xml version="1.0" encoding="US-ASCII"?>
<!-- DFIN New ActiveDisclosure (SM) XBRL Schema Document - http://www.dfinsolutions.com/ -->
<!-- Creation Date :2026-04-17T14:48:48.2366+00:00 -->
<!-- Copyright (c) 2026 Donnelley Financial Solutions, Inc. All Rights Reserved. -->
<xsd:schema targetNamespace="http://odfl.com/20260417" attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" xmlns:enum2="http://xbrl.org/2020/extensible-enumerations-2.0" xmlns:ecd-sub="http://xbrl.sec.gov/ecd-sub/2025" xmlns:ecd="http://xbrl.sec.gov/ecd/2025" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:us-gaap="http://fasb.org/us-gaap/2025" xmlns:odfl="http://odfl.com/20260417" xmlns:dei="http://xbrl.sec.gov/dei/2025" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <xsd:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance"/>
  <xsd:import schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/linkbase"/>
  <xsd:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt"/>
  <xsd:import schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd" namespace="http://xbrl.sec.gov/ecd/2025"/>
  <xsd:import schemaLocation="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd" namespace="http://fasb.org/us-gaap/2025"/>
  <xsd:import schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd" namespace="http://www.xbrl.org/dtr/type/2024-01-31"/>
  <xsd:import schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-sub-2025.xsd" namespace="http://xbrl.sec.gov/ecd-sub/2025"/>
  <xsd:import schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd" namespace="http://xbrl.sec.gov/dei/2025"/>
  <xsd:annotation>
    <xsd:appinfo>
      <link:roleType roleURI="http://odfl.com/20260417/taxonomy/role/DocumentDocumentAndEntityInformation" id="DocumentDocumentAndEntityInformation">
        <link:definition>75000 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbase id="lnk">
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" xlink:href="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd#wider-narrower" xlink:type="simple"/>
        <link:roleRef roleURI="http://odfl.com/20260417/taxonomy/role/DocumentDocumentAndEntityInformation" xlink:href="odfl-20260417.xsd#DocumentDocumentAndEntityInformation" xlink:type="simple"/>
        <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpDisclosure" xlink:type="simple"/>
        <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#IndividualsOnly" xlink:type="simple"/>
        <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpAdjustmentsOnly" xlink:type="simple"/>
        <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:title="labelLink" xlink:type="extended">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_AmendmentFlag" xlink:label="dei_AmendmentFlag"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_DocumentType" xlink:label="dei_DocumentType"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_EntityCentralIndexKey" xlink:label="dei_EntityCentralIndexKey"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" xlink:label="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FreemanMember" xlink:label="odfl_FreemanMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" xlink:label="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_GanttMember" xlink:label="odfl_GanttMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" xlink:label="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ProfitLoss" xlink:label="us-gaap_ProfitLoss"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" xlink:label="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_AdjustmentValueOfEquityAwards" xlink:label="odfl_AdjustmentValueOfEquityAwards"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_AdjustmentEquityAwards" xlink:label="odfl_AdjustmentEquityAwards"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_CoverAbstract" xlink:label="dei_CoverAbstract"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_EntityRegistrantName" xlink:label="dei_EntityRegistrantName"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearEndFairValueOfEquityAwardsMember" xlink:label="odfl_YearEndFairValueOfEquityAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" xlink:label="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember"/>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_AmendmentFlag_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Amendment</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_AmendmentFlag_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Amendment Flag</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_DocumentType_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Document Type</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_DocumentType_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Document Type</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityCentralIndexKey_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">CIK</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityCentralIndexKey_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Entity Central Index Key</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Year over Year Change in Fair Value of Outstanding and Unvested Equity Awards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Year over Year Change in Fair Value of Outstanding and Unvested Equity Awards.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_FreemanMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Freeman [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_FreemanMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Freeman.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Fair Value at the End of the Prior Year of Equity Awards that Failed to Meet Vesting Conditions in the Year [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Fair Value at the End of the Prior Year of Equity Awards that Failed to Meet Vesting Conditions in the Year.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_GanttMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Gantt [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_GanttMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Gantt.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Fair Value as of Vesting Date of Equity Awards Granted and Vested in the Year [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Fair Value as of Vesting Date of Equity Awards Granted and Vested in the Year.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="us-gaap_ProfitLoss_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Net Income (Loss), Including Portion Attributable to Noncontrolling Interest</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="us-gaap_ProfitLoss_lbl" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Net Income (Loss), Including Portion Attributable to Noncontrolling Interest, Total</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="us-gaap_ProfitLoss_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Net Income</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Value of Dividends or other Earnings Paid on Stock or Option Awards not Otherwise Reflected in Fair Value or Total Compensation [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Value of Dividends or other Earnings Paid on Stock or Option Awards not Otherwise Reflected in Fair Value or Total Compensation.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_AdjustmentValueOfEquityAwards_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Adjustment Value of Equity Awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_AdjustmentValueOfEquityAwards_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Adjustment Value of Equity Awards.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_AdjustmentEquityAwards_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Adjustment Equity Awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_AdjustmentEquityAwards_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Adjustment Equity Awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_CoverAbstract_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Cover</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_CoverAbstract_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Cover [Abstract]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityRegistrantName_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Registrant Name</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityRegistrantName_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Entity Registrant Name</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_YearEndFairValueOfEquityAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Year End Fair Value of Equity Awards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_YearEndFairValueOfEquityAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Year End Fair Value of Equity Awards.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Year over Year Change in Fair Value of Equity Awards Granted in Prior Years that Vested in the Year [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Year over Year Change in Fair Value of Equity Awards Granted in Prior Years that Vested in the Year.</link:label>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_AmendmentFlag" xlink:to="dei_AmendmentFlag_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_DocumentType" xlink:to="dei_DocumentType_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_EntityCentralIndexKey" xlink:to="dei_EntityCentralIndexKey_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" xlink:to="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_FreemanMember" xlink:to="odfl_FreemanMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" xlink:to="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_GanttMember" xlink:to="odfl_GanttMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" xlink:to="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="us-gaap_ProfitLoss" xlink:to="us-gaap_ProfitLoss_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" xlink:to="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_AdjustmentValueOfEquityAwards" xlink:to="odfl_AdjustmentValueOfEquityAwards_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_AdjustmentEquityAwards" xlink:to="odfl_AdjustmentEquityAwards_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_CoverAbstract" xlink:to="dei_CoverAbstract_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_EntityRegistrantName" xlink:to="dei_EntityRegistrantName_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_YearEndFairValueOfEquityAwardsMember" xlink:to="odfl_YearEndFairValueOfEquityAwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" xlink:to="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember_lbl"/>
        </link:labelLink>
        <link:presentationLink xlink:role="http://odfl.com/20260417/taxonomy/role/DocumentDocumentAndEntityInformation" xlink:title="presentationLink" xlink:type="extended">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_CoverAbstract" xlink:label="dei_CoverAbstract"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_DocumentType" xlink:label="dei_DocumentType"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_AmendmentFlag" xlink:label="dei_AmendmentFlag"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_EntityRegistrantName" xlink:label="dei_EntityRegistrantName"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2025/dei-2025.xsd#dei_EntityCentralIndexKey" xlink:label="dei_EntityCentralIndexKey"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_DocumentType" order="49.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_AmendmentFlag" order="50.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityRegistrantName" order="51.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityCentralIndexKey" order="52.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
        </link:presentationLink>
        <link:presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:title="presentationLink" xlink:type="extended">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllIndividualsMember" xlink:label="ecd_AllIndividualsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_GanttMember" xlink:label="odfl_GanttMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FreemanMember" xlink:label="odfl_FreemanMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearEndFairValueOfEquityAwardsMember" xlink:label="odfl_YearEndFairValueOfEquityAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" xlink:label="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" xlink:label="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" xlink:label="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" xlink:label="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" xlink:label="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_PayVsPerformanceDisclosureLineItems" xlink:label="ecd_PayVsPerformanceDisclosureLineItems"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ProfitLoss" xlink:label="us-gaap_ProfitLoss"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_AdjustmentValueOfEquityAwards" xlink:label="odfl_AdjustmentValueOfEquityAwards"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_AdjustmentEquityAwards" xlink:label="odfl_AdjustmentEquityAwards"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="odfl_GanttMember" order="2.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="odfl_FreemanMember" order="3.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_YearEndFairValueOfEquityAwardsMember" order="4.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" order="5.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" order="6.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" order="7.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" order="8.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" order="9.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems" xlink:to="us-gaap_ProfitLoss" order="32.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems" xlink:to="odfl_AdjustmentValueOfEquityAwards" order="33.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems" xlink:to="odfl_AdjustmentEquityAwards" order="34.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
        </link:presentationLink>
        <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/IndividualsOnly">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllIndividualsMember" xlink:label="ecd_AllIndividualsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_GanttMember" xlink:label="odfl_GanttMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FreemanMember" xlink:label="odfl_FreemanMember"/>
          <link:definitionArc xlink:type="arc" order="0" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="odfl_GanttMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="1" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="odfl_FreemanMember" priority="2" use="optional"/>
        </link:definitionLink>
        <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearEndFairValueOfEquityAwardsMember" xlink:label="odfl_YearEndFairValueOfEquityAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" xlink:label="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" xlink:label="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" xlink:label="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" xlink:label="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember"/>
          <link:loc xlink:type="locator" xlink:href="odfl-20260417.xsd#odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" xlink:label="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember"/>
          <link:definitionArc xlink:type="arc" order="0" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_YearEndFairValueOfEquityAwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="1" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="2" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="3" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="4" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="5" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" priority="2" use="optional"/>
        </link:definitionLink>
      </link:linkbase>
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:element id="odfl_YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" name="YearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="odfl_GanttMember" name="GanttMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="odfl_AdjustmentEquityAwards" name="AdjustmentEquityAwards" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="odfl_YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" name="YearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="odfl_AdjustmentValueOfEquityAwards" name="AdjustmentValueOfEquityAwards" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="odfl_YearEndFairValueOfEquityAwardsMember" name="YearEndFairValueOfEquityAwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="odfl_ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" name="ValueOfDividendsOrOtherEarningsPaidOnStockOrOptionAwardsNotOtherwiseReflectedInFairValueOrTotalCompensationMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="odfl_FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" name="FairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="odfl_FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" name="FairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="odfl_FreemanMember" name="FreemanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
</xsd:schema>